package io.quicktype;

import java.io.IOException;
import com.fasterxml.jackson.annotation.*;

public enum V {
    A;

    @JsonValue
    public String toValue() {
        switch (this) {
            case A: return "A";
        }
        return null;
    }

    @JsonCreator
    public static V forValue(String value) throws IOException {
        if (value.equals("A")) return A;
        throw new IOException("Cannot deserialize V");
    }
}
